Subject: Re: bug#38783: GPT case that parted can't handle

From: Nio Wiklund <[email-masked]>
Date: Sun, 29 Dec 2019 01:07:24 +0100

Den 2019-12-28 kl. 23:18, skrev Jason Mancini:
> Install Windows to a 1TB drive but only partition the first 63GB.  Most 
> of the disk is empty.
> 
> Clone the first 63GB to a 512GB drive.  This misses the trailing GPT 
> table.  Windows will boot and run fine.  Windows Disk Management is happy.
> 
> But no Linux partitioning tool will touch this disk, or see any 
> partitions.  I suspect they all die on the first table's 
> pointer-to-backup that goes past the end of the disk.
> 
> The situation is easy to correct from within Windows, simply add and 
> delete a partition without assigning a drive letter or formatting.  It 
> rewrites both tables correctly.  But this is dependent on having free 
> space to add a partition.  And dependent on booting Windows.
> 
> Can we improve things on the non-Windows side of the tools?  There seems 
> to be no tool that can be manually directed to only use the first or 
> second table.
> 
> Thanks!
> Jason Mancini

@ Jason Mancini,

Did you try to repair the backup partition table with 'gdisk'?

Best regards
Nio